### Hierarchy

- unknown
  - DecryptedMessageWithPubKey

## Index

### Constructors

- constructor

### Methods

- clearNetworkEnvelope
- getNetworkEnvelope
- getSignaturePubKeyBytes
- getSignaturePubKeyBytes_asB64
- getSignaturePubKeyBytes_asU8
- hasNetworkEnvelope
- serializeBinary
- setNetworkEnvelope
- setSignaturePubKeyBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DecryptedMessageWithPubKey(): DecryptedMessageWithPubKey

- Inherited from jspb.Message.constructor

  #### Returns DecryptedMessageWithPubKey

## Methods

### clearNetworkEnvelope

- clearNetworkEnvelope(): DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2728

  #### Returns DecryptedMessageWithPubKey

### getNetworkEnvelope

- getNetworkEnvelope(): undefined | NetworkEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:2725

  #### Returns undefined | NetworkEnvelope

### getSignaturePubKeyBytes

- getSignaturePubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2730

  #### Returns string | Uint8Array

### getSignaturePubKeyBytes_asB64

- getSignaturePubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2732

  #### Returns string

### getSignaturePubKeyBytes_asU8

- getSignaturePubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2731

  #### Returns Uint8Array

### hasNetworkEnvelope

- hasNetworkEnvelope(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2727

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2735

  #### Returns Uint8Array

### setNetworkEnvelope

- setNetworkEnvelope(value?: NetworkEnvelope ): DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2726

  #### Parameters

  - ##### Optional value: NetworkEnvelope

  #### Returns DecryptedMessageWithPubKey

### setSignaturePubKeyBytes

- setSignaturePubKeyBytes(value: string | Uint8Array): DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2733

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DecryptedMessageWithPubKey

### toObject

- toObject(includeInstance?: boolean): DecryptedMessageWithPubKey . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2736

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DecryptedMessageWithPubKey . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2739

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DecryptedMessageWithPubKey

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DecryptedMessageWithPubKey, reader: BinaryReader): DecryptedMessageWithPubKey

- - Defined in src/protobuf/pb_pb.d.ts:2740

  #### Parameters

  - ##### message: DecryptedMessageWithPubKey

  - ##### reader: BinaryReader

  #### Returns DecryptedMessageWithPubKey

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DecryptedMessageWithPubKey, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2738

  #### Parameters

  - ##### message: DecryptedMessageWithPubKey

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DecryptedMessageWithPubKey ): DecryptedMessageWithPubKey . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2737

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DecryptedMessageWithPubKey

  #### Returns DecryptedMessageWithPubKey . AsObject

Generated using TypeDoc